Bug 45862 - [EDITING] Menu/Data/Consolidate, Only the last range to consolidate is saved in the file.
Summary: [EDITING] Menu/Data/Consolidate, Only the last range to consolidate is saved ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 85654 (view as bug list)
Depends on:
Blocks: Calc-DataRange
  Show dependency treegraph
 
Reported: 2012-02-09 15:40 UTC by m.a.riosv
Modified: 2021-10-04 03:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Menu/Data/Consolidate, Only the last range to consolidate is preserved when file is open. (9.27 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-02-09 15:40 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2012-02-09 15:40:34 UTC
Created attachment 56839 [details]
Menu/Data/Consolidate, Only the last range to consolidate is preserved when file is open.

Select the three ranges in the Sheet1 one of sample file, to Menu/Data/Consolidate, only the last range selected to consolidate is there after save and then open the file.
Comment 1 sasha.libreoffice 2012-05-16 04:18:48 UTC
Thanks for bugreport
reproduced in 3.5.3 on Fedora 64 bit
IMHO it is FILESAVE bug or missing feature, because inside of document after my experiments with consolidation in file content.xml I found this tag:
<table:consolidation table:function="sum" table:source-cell-range-addresses="Sheet1.B18:Sheet1.B24" table:target-cell-address="Sheet2.D16"/>

here saved only last range, no list of ranges. I do not know what ODF format tells about saving this.
Comment 2 bfoman (inactive) 2012-07-18 08:30:51 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 3 m.a.riosv 2014-10-15 23:06:55 UTC
Same issue with AOO.
Comment 4 m.a.riosv 2014-10-31 00:05:27 UTC
*** Bug 85654 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2015-12-20 16:18:12 UTC Comment hidden (obsolete)
Comment 6 m.a.riosv 2016-03-15 03:11:31 UTC
Remains:
Win10x64
Version: 5.1.1.3 (x64)
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 1; OS Version: Windows 6.19; UI Render: GL;
Comment 7 QA Administrators 2017-05-22 13:19:43 UTC Comment hidden (obsolete)
Comment 8 m.a.riosv 2017-05-22 15:34:21 UTC
Still present.
Version: 5.5.0.0.alpha0+
Build ID: 7662b11cad6105d56fb9acc9c431c89d3b68dc89
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-05-20_10:09:09
Locale: es-ES (es_ES); Calc: CL
Comment 9 m.a.riosv 2018-04-01 14:43:33 UTC
Still with:
Version: 6.1.0.0.alpha0+
Build ID: 83204c1fbf2cb85f3a22a922411ed8291cfb3fe8
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-28_23:56:15
Comment 10 QA Administrators 2019-10-01 03:01:40 UTC Comment hidden (obsolete)
Comment 11 m.a.riosv 2019-10-02 11:13:39 UTC
Still with
Version: 6.4.0.0.alpha0+ (x64)
Build ID: d744838991594eebe27acc4c7d9fb4579d654853
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-09-29_05:12:00
Locale: en-US (es_ES); UI-Language: en-US Calc: threaded
Comment 12 m.a.riosv 2019-10-04 13:36:40 UTC
Content.xml (part)
   </table:table><table:table table:name="Sheet2" table:style-name="ta1"><table:table-column table:style-name="co1" table:default-cell-style-name="Default"/><table:table-row table:style-name="ro1"><table:table-cell office:value-type="string"><text:p>asfdsfd</text:p></table:table-cell></table:table-row><table:table-row table:style-name="ro1"><table:table-cell office:value-type="string"><text:p>aldjañlf</text:p></table:table-cell></table:table-row><table:table-row table:style-name="ro1"><table:table-cell office:value-type="string"><text:p>lkjdfsos</text:p></table:table-cell></table:table-row><table:table-row table:style-name="ro1"><table:table-cell office:value-type="string"><text:p>okdjflsjf</text:p></table:table-cell></table:table-row><table:table-row table:style-name="ro1"><table:table-cell office:value-type="string"><text:p>ielrflwnd</text:p></table:table-cell></table:table-row></table:table><table:consolidation table:function="sum" table:source-cell-range-addresses="Sheet1.E1:Sheet1.E8"
                           -------------------------------------------------
table:target-cell-address="Sheet2.A1" table:use-label="row" table:link-to-source-data="true"/></office:spreadsheet></office:body></office:document-content>

Only last range is saved in the file.
Comment 13 QA Administrators 2021-10-04 03:45:48 UTC
Dear m.a.riosv,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug